# Amuse: amuse::Listener Class Reference

amuse::Listener Class Reference
Inheritance diagram for amuse::Listener:
Collaboration diagram for amuse::Listener:

## Additional Inherited Members

Public Member Functions inherited from amuse::Entity
| Entity (Engine &engine, const AudioGroup &group, int groupId, ObjectId oid=ObjectId())
Engine & | getEngine ()
const AudioGroup & | getAudioGroup () const
int | getGroupId () const
ObjectId | getObjectId () const
Protected Member Functions inherited from amuse::Entity
void | _destroy ()
Protected Attributes inherited from amuse::Entity
bool | m_destroyed = false
Engine & | m_engine
const AudioGroup & | m_audioGroup
int | m_groupId
ObjectId | m_objectId = 0xffff

## Detailed Description

Definition at line 9 of file Listener.hpp.

The documentation for this class was generated from the following file:

- include/amuse/Listener.hpp